## pyevilgenius 2.0.0

=== requirements.txt ===
aiohttp
async_timeout

=== debian/changelog ===
pyevilgenius (2.0.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Thu, 07 Nov 2024 13:56:12 +0000

pyevilgenius (2.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1086822)

 -- Edward Betts <edward@4angle.com>  Wed, 06 Nov 2024 12:32:01 +0000

=== debian/control ===
Source: pyevilgenius
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/home-assistant-libs/pyevilgenius
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyevilgenius
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyevilgenius.git

Package: python3-pyevilgenius
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library to control devices from Evil Genius Labs
 This library offers an asynchronous interface for interacting with devices
 manufactured by Evil Genius Labs. Designed to operate over Wi-Fi, it enables
 comprehensive control and monitoring of various device parameters. The library
 supports functions such as obtaining device details and adjusting settings,
 allowing smooth communication with the device's APIs. It is particularly
 useful for integrating Evil Genius Labs' products into larger systems,
 providing a means of managing operations at the device level. This API-based
 approach ensures that users can effectively command devices within a network
 environment, enhancing the capability to manage connected devices.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyevilgenius
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pyevilgenius.egg-info/


override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pyevilgenius-$1\.tar\.gz/ \
  https://github.com/home-assistant-libs/pyevilgenius/tags .*/v?(\d\S+)\.tar\.gz
